Subject: Re: [patch 02/10] forcedeth: power down phy when interface is down

From: Andrew Morton <[email-masked]>
Date: Thu, 13 Dec 2007 17:07:21 -0800

On Thu, 13 Dec 2007 16:53:58 -0800
"Ed Swierk" <[email-masked]> wrote:

> On 12/13/07, Andrew Morton <[email-masked]> wrote:
> > Does this patch actually fix any observeable problem?
> 
> Without the patch, ifconfig down leaves the physical link up, which
> confuses datacenter users who expect the link lights both on the NIC
> and the switch to go out when they bring an interface down.
> 
> Furthermore, even though the phy is powered on, autonegotiation stops
> working, so a normally gigabit link might suddenly become 100 Mbit
> half-duplex when the interface goes down, and become gigabit when it
> comes up again.
> 

OK, thanks, I added that text to the changelog along with Ayaz's objection
and shall continue to bug people with it until we have a fix merged.